module_exit
Prev | Driver Entry and Exit points | Next

## Name

module_exit — driver exit entry point

## Synopsis

`module_exit (` |  | x`)`;

## Arguments

`x`

  function to be run when driver is removed

## Description

`module_exit` will wrap the driver clean-up code with `cleanup_module` when used with rmmod when the driver is a module. If the driver is statically compiled into the kernel, `module_exit` has no effect. There can only be one per module.

Prev | Up | Next
module_init | Home | Atomic and pointer manipulation